EPG Translator Lite

  • Nachdem die letzte Version im OE2.5 einen SSL Certificate Fehler von Google zurückbringt, anbei eine Version wo das wieder gefixed ist (wenn auch nicht schön)


    LG
    gutemine

  • Ich habe das Plugin mal grob auf die FHD Skins ims DreamOS angepasst und auch eine ipk Version gemacht, schaut mal ob die nicht unter OE 2.0 auch noch läuft. In den Open* Images scheint sie auf jeden Fall zu funktionieren, wobei ich ausser zu schauen ob es crashed da nicht viel getestet habe.

  • hi dear gutine

    is there anyhow to use epgtranslator on infobar?


    If it could be integrated with the plugin (enigma2-plugin-extensions-trackautoselect_armhf.deb) it was very good

    then we can change (subtitles, audio, epg, now & next) items with desired language


    Or as a standalone plugin can we change them on epgTL setup ?



    thanks

    : Thumbup:: Thumbup:

    Dieser Beitrag wurde bereits 1 Mal editiert, zuletzt von amirali.sh ()

  • Na ja du musst die Historie bei diesem Plugin beachten, das originale ohne Lite war eines der closed source Plugins von kashmir, ich habe das entmüllt und auch simplifiziert, weswegen das Lite Plugiin jetzt eben alle python Files beinhaltet.


    Wirklich weiter basteln mag ich daran nicht, aber es war ja eines der Gründe das ich es überhaupt gemacht habe, dass es sonst zu schade wäre wenn der Code zum Google Translate einbetten komplett verloren gegangen wäre, weil das ist eigentlich nur eine Seite code den man dafür wirklich braucht.


    So kann sich jetzt jeder damit machen was immer er will und kann das Plugin asl funktionierendes Beispiel nehmen ;)


    Nur muss das nicht immer ich sein, den Code in einen Renderer einzubetten damit man die Übersetzung auch in die InfoBar Skinnen kann ist z.B. nicht so schwer, aber es gibt viele Wege um das umzusetzen, auch eine secon infobar damit ist denkbar, etc ....

  • Jetzt wo es where = WHERE.... gibt , würde ich mir das im Single EPG, auf Rot, und in EventView auf Blau wünschen ( nur für das *deb )


    vielleicht hat Dreamy (aka Sven H) lust und zeit


    testen und Paket kann ich ja dann schnüren

  • Na ja es ist eines der Plugins wo es schade wäre wenn sie ganz verloren gegangen wären nachdem der Author aufgehört hatte. Normal respektiere ich sowas aber man kann ja auch mal eine Ausnahme machen ...


    Und ich habe mir halt auch erlaubt den Code etwas aufzuräumen und zu vereinfachen ... aber dann auch nichts mehr dran getan.

  • arki

    Hab doch mal auf die Schnelle was versucht ;)

    Ist jetzt im SingleEPG auf rot und EventView auf blau.


    Musste mir da noch etwas ausdenken, da man da ja bestimmt die Übersetzung des ausgewählten Events haben möchte und nicht die der aktuellen Live-Sendung ;)

    Geht intern bestimmt noch besser zu lösen, aber hier klappt es erstmal ;)


    Hab auch eine Abfrage eingebaut, ob das "WHERE_EPG_SELECTION_SINGLE_RED" im System bekannt ist.

    Damit sollte es dann auch auf anderen Systemen funktionieren (z.B. für die IPK)

    Dateien

    • plugin.py.txt

      (29,03 kB, 5 Mal heruntergeladen, zuletzt: )

    Gruß Dreamy (aka Sven H)


  • Musste mir da noch etwas ausdenken, da man da ja bestimmt die Übersetzung des ausgewählten Events haben möchte und nicht die der aktuellen Live-Sendung ;)

    Genau darum wollte ich es im Singel EPG haben .. und hey:!: es funktioniert :thumbup:




    und das man mit den Bouquettasten das Programm wechseln kann, halt ich für sinnfrei .. und ehr stöhren ... gerade wenn man über den Singel EPG das Plugin aufruft.

  • Du kannst beim aufrufen relativ einfach einen optionalen zapping Parameter dazu geben der hält dann steuert ob das geht oder nicht.


    Ganz rauswerfen würde ich das nicht, sonst ist es als standalone Plugin zu mühsam zu bedienen